curl --request GET \
--url https://api.hubapi.com/marketing/v3/campaigns/{campaignGuid}/budget/totals \
--header 'Authorization: Bearer <token>'{
"budgetItems": [
{
"amount": 123,
"createdAt": 123,
"id": "<string>",
"name": "<string>",
"order": 123,
"updatedAt": 123,
"description": "<string>"
}
],
"currencyCode": "AED",
"spendItems": [
{
"amount": 123,
"createdAt": 123,
"id": "<string>",
"name": "<string>",
"order": 123,
"updatedAt": 123,
"description": "<string>"
}
],
"budgetTotal": 123,
"remainingBudget": 123,
"spendTotal": 123
}Recupera información detallada sobre el presupuesto y los elementos de gasto de una campaña especificada, incluidos el presupuesto total, el gasto total y el presupuesto restante. Los elementos de presupuesto y gasto pueden mostrarse en cualquier orden, pero el campo de orden especifica su secuencia basándose en la fecha de creación. El elemento con orden 0 es el más antiguo, y los elementos con valores de orden más altos son más nuevos.
curl --request GET \
--url https://api.hubapi.com/marketing/v3/campaigns/{campaignGuid}/budget/totals \
--header 'Authorization: Bearer <token>'{
"budgetItems": [
{
"amount": 123,
"createdAt": 123,
"id": "<string>",
"name": "<string>",
"order": 123,
"updatedAt": 123,
"description": "<string>"
}
],
"currencyCode": "AED",
"spendItems": [
{
"amount": 123,
"createdAt": 123,
"id": "<string>",
"name": "<string>",
"order": 123,
"updatedAt": 123,
"description": "<string>"
}
],
"budgetTotal": 123,
"remainingBudget": 123,
"spendTotal": 123
}Productos compatibles
Ámbitos Requeridos
The access token received from the authorization server in the OAuth 2.0 flow.
successful operation
Show child attributes
El código de divisa utilizado para los importes de presupuesto y gasto, siguiendo las normas ISO 4217.
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BOV, BRL, BSD, BTN, BWP, BYN, BZD, CAD, CDF, CHE, CHF, CHW, CLF, CLP, CNY, COP, COU, CRC, CUC, CUP, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ERN, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRU, MUR, MVR, MWK, MXN, MXV, MYR, MZN, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, RWF, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLL, SOS, SRD, SSP, STN, SVC, SYP, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, USD, USN, UYI, UYU, UZS, VEF, VND, VUV, WST, XAF, XAG, XAU, XBA, XBB, XBC, XBD, XCD, XDR, XOF, XPD, XPF, XPT, XSU, XUA, YER, ZAR, ZMW, ZWL Show child attributes
El presupuesto total asignado a la campaña.
El presupuesto restante disponible para la campaña una vez contabilizados todos los elementos de gasto.
La cantidad total de todos los elementos de gasto de la campaña.